Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Numbered Headings

Key

In the tables below, the following icons have the following meanings:

  • (tick) - Moonshot is available for this version of macOS through an installer package and has been tested and verified as working.
  • (warning) - Moonshot has unofficially been tested on this version of macOS, but an installer package does not exist for it.
  • (error) - Moonshot is not available for this version of macOS, or is known not to work (at least, not without a large amount of custom work).
  • (question) - Moonshot has not been tested on this version of macOS yet. Let us know if you have tried it!

Compatibility

The information in this section is subject to our software support policy.

VersionSupported?Notes
macOS 10.13 High Sierra(warning)We intend to fully support macOS 10.13 in mid- to late 2018. Self-build instructions are here.
macOS 10.12 Sierra(warning)We intend to fully support macOS 10.12 in mid- to late 2018. Self-build instructions are here.
Mac OS X 10.11 El Capitan(warning)

We have tested the basic mechanism on this version of OS X, but we don't intend to support macOS older than 10.12. fully support Mac OS X 10.11 in mid- to late 2018.Self-build instructions are here.

Mac OS X 10.10 Yosemite or earlier(error)We have tested the basic mechanism on Mac OS X 10.10, but we do not support this version of OS X or earlier.

Configuration

macOS support currently uses the .gss_eap_id file in your home directory.

  1. Create a .gss_eap_id file in your user's home directory:

    Code Block
    languagetext
    firstline1
    linenumberstrue
    username@moonshot.realm
    password
    Info
    titleSample Camford .gss_eap_id

    This file shows a sample .gss_eap_id file used with a Camford credential

    Code Block
    languagetext
    firstline1
    testuser@camford.ac.uk
    testpassword